CVE-2023-28319

NameCVE-2023-28319
DescriptionA use after free vulnerability exists in curl <v8.1.0 in the way libcurl offers a feature to verify an SSH server's public key using a SHA 256 hash. When this check fails, libcurl would free the memory for the fingerprint before it returns an error message containing the (now freed) hash. This flaw risks inserting sensitive heap-based data into the error message that might be shown to users or otherwise get leaked and revealed.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub advisories/code/issues, web search, more)
Debian Bugs1036239

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
curl (PTS)buster7.64.0-4+deb10u2fixed
buster (security)7.64.0-4+deb10u6fixed
bullseye (security), bullseye7.74.0-1.3+deb11u7fixed
bookworm7.88.1-9vulnerable
sid7.88.1-10fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
curlsourcebuster(not affected)
curlsourcebullseye(not affected)
curlsource(unstable)7.88.1-101036239

Notes

[bullseye] - curl <not-affected> (Vulnerable code not present)
[buster] - curl <not-affected> (Vulnerable code not present)
https://curl.se/docs/CVE-2023-28319.html
Introduced by: https://github.com/curl/curl/commit/3467e89bb97e6c87c77e82a046c59cb4b2d29a74 (curl-7_81_0)
Fixed by: https://github.com/curl/curl/commit/8e21b1a05f3c0ee098dbcb6c3d84cb61f102a122 (curl-8_1_0)

Search for package or bug name: Reporting problems